Subject: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Juri Linkov <[email-masked]>
Date: Wed, 28 Jun 2023 09:52:15 +0300

> At this point, does anyone object to my patch adding menu-bar items for
> project.el, spread throughout the appropriate menus?  We could also add
> a project-minor-mode at some point, but I think these global menu-bar
> items can be added regardless of that.

My suggestion was to have a submenu with all project commands somewhere,
and this will be implemented with a new option vc-mode-line-format.

So maybe your patch could be pushed to master now with both parts:
where project menu items are scattered throughout all menus,
and also where they are in one submenu that will be used later
on the mode-line and in the context menus of project buffers.